ELINKS(1)

NAME
elinks - lynx-like alternative character mode WWW browser

SYNOPSIS
elinks [options] URL

DESCRIPTION
ELinks is a text mode WWW browser, supporting colors, correct table rendering, background downloading, menu driven configuration interface and slim code.

Frames are supported. You can have different file formats associated with external viewers. mailto: and telnet: are supported via external clients.

ELinks can handle local (file://) or remote (http://, ftp:// or https:// if there's compiled-in SSL support) URLs. It has also basic support for finger:.

OPTIONS
Most options can be set in the user interface or config file, so usually you do not need to care about them. Note that this list is by no means complete and it is not kept up-to-date. To get complete list of commandline options, start ELinks with parameter --help.

-anonymous <0>/<1>
    Restrict ELinks so that it can run on an anonymous account. No local file browsing. No downloads. Executing of viewers is allowed, but user can't add or modify entries in association table.

-auto-submit <0>/<1>
    Go and submit the first form you'll stumble upon.

-base-session <number>
    ID of session (ELinks instance) which we want to clone. This is internal ELinks option, you don't want to use it.

-config-help
    Print descriptions for configuration options and exit. Intended mostly for generating documentation.

-dump
    Write a plain-text version of the given HTML document to stdout.

-dump-charset <charset>
    Codepage used in dump output.

-dump-width <width>
    Width of the dump output.

-eval <string>
    Specify elinks.conf config options on the command-line: -eval 'set protocol.file.allow_special_files = 1'

-? -h -help
    Print usage help and exit.

-long-help
    Print detailed usage help and exit.

-lookup <hostname>
    Make lookup for specified host.

-no-connect <0>/<1>
    Run ELinks as a separate instance - instead of connecting to existing instance. Note that normally no runtime state files (I mean bookmarks, history and so on) are written to the disk with this option on - see also -touch-files.

-no-home <0>/<1>
    Don't attempt to create and/or use home rc directory (~/.elinks).

-session-ring <number>
    ID of session ring this ELinks should connect to. The ELinks works in so-called session rings, where all instances of ELinks are interconnected and share same state (cache, bookmarks, cookies and so on). By default, all ELinks instances connect to session ring 0. You can change that behaviour by this switch and form as many session rings as you want. Obviously, if the session-ring with this number doesn't exist yet, it's created and this ELinks instance will become the master instance (that usually doesn't matter for you as a user much). Note that you usually don't want to use this except you're a developer and you want to do some testing - if you want the ELinks instances running each one standalone, rather use -no-connect commandline option. Also note that normally no runtime state files are written to the disk with this option on - see also -touch-files.

-source <0>/<1>
    Write the given HTML document in source form to stdout.

-stdin <0>/<1>
    Open stdin as HTML document - it is fully equivalent to: -eval 'set protocol.file.allow_special_files = 1' file:///dev/stdin Use whichever suits you more ;-). Note that reading document from stdin WORKS ONLY WHEN YOU USE -dump OR -source!! (I would like to know why you would use -source -stdin, though ;-)

-touch-files <0>/<1>
    Set to 1 to have runtime state files (bookmarks, history, ...) changed even when -no-connect is used; has no effect if not used in connection with the -no-connect commandline option.

-version
    Print ELinks version information and exit.

NAVIGATION KEYS
You may optionally prefix each of this keys with a number, telling its repeat count (how much times to do it). You can also re-bind those keys. See elinkskeys(5) for complete documentation about keybindings and more complete list of keys bound by default. The keys you may use for navigation are:

PGDN
    page down

Space
    page down

PGUP
    page up

b   page up

B   page up

CursorDOWN
    next link/down

CursorUP
    prev link/up

^INS
    copy to clipboard

^C  copy to clipboard

INS scroll up

^P  scroll up

DEL scroll down

^N  scroll down

[   scroll left

]   scroll right

HOME
    home

END end of page

CursorRIGHT
    enter link/press button

ENTER
    enter link/press button

CursorLEFT
    go back

d   download link

D   download link

F4  edit textarea in external editor (broken)

^T  edit textarea in external editor (broken)

/   search in the page

?   search back in the page

n   find next match

N   find next match backwards

f   zoom actual frame

F   zoom actual frame

^R  reload page

g   go to URL

G   go to the current URL

a   add a new bookmark

A   add a new bookmark

s   bookmark manager

S   bookmark manager

^K  reload cookies from ~/.elinks/cookies

q   quit

Q   quit

=   document information

|   header information

\   toggle HTML source/rendered view

*   toggle display of images

TAB next frame

ESC menu/escape

F9  menu

F10 file menu

EDITING KEYS
The following keys can be used while editing a line/jumping to a URL:

CursorRIGHT
    move right

CursorLEFT
    move left

HOME
    jump to the beginning

^A  jump to the beginning

END jump to the end

^E  jump to the end

^INS
    copy to clipboard

^B  copy to clipboard

^X  cut to clipboard

^V  paste from clipboard

ENTER
    enter line

BACKSPACE
    delete back character

^H  delete back character

DEL delete character

^D  delete character

^U  delete from beginning of the line

^K  delete to the end of the line

^W  auto complete line

ENVIRONMENT

ELINKS_CONFDIR
The location of ".elinks/" user's directory

WWW_HOME
    Homepage location (as in lynx )

ELINKS_XTERM, LINKS_XTERM
    The command to run when selecting "File/New window" and if DISPLAY is defined (default "xterm -e")

ELINKS_TWTERM, LINKS_TWTERM
    The command to run when selecting "File/New window" and if TWDISPLAY is defined (default "twterm -e")

SHELL
    Used for "File/OS Shell" menu

COMSPEC
    Used for "File/OS Shell" menu in DOS/Windows

FILES

~/.elinks/elinks.conf
Per-user config file

~/.elinks/bookmarks
    Bookmarks file

~/.elinks/cookies
    Cookies file

~/.elinks/gotohist
    GoTo URL dialog history file

~/.elinks/globhist
    History file containing last 4096 URLs visited

~/.elinks/socket
    Internal ELinks socket for communication between its instances.

PLATFORMS
ELinks is known to work on Linux, FreeBSD, OpenBSD, Solaris, IRIX, HPUX, Digital Unix, AIX, OS/2, BeOS and RISC OS. Port for Win32 is in state of beta testing.

BUGS
See BUGS file coming with ELinks distribution tarball for list of known bugs.

Please report any other bugs you find to (E)Links mailing list <links-list@linuxfromscratch.org>.

LICENSE
ELinks is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
Links was written by Mikulas Patocka <mikulas@artax.karlin.mff.cuni.cz>. ELinks - which is based on Links
 - was written by Petr Baudis <pasky@ucw.cz>. See file AUTHORS in the source tree for a list of people contributing to this project.

The homepage of ELinks can be found at http://elinks.or.cz/

This manual page was written by Peter Gervai <grin@tolna.net>, using excerpts from a (yet?) unknown Links fan for the Debian GNU/Linux system (but may be used by others). Contributions from Francis A. Holop. Extended, clarified and made more up-to-date by Petr Baudis <pasky@ucw.cz>. Updated by Zas <zas at norz.org>.

SEE ALSO
elinkskeys(5), elinks.conf(5), links(1), lynx(1), w3m(1), wget(1)